From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] manual: Refer to glob(7) not sh(1)
Date: Sat, 23 Jan 2021 11:32:59 +0100
Message-Id: <20210123103259.81053-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

Those patterns are not specific to the shell, many commands support them.
---
 catgirl.1 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/catgirl.1 b/catgirl.1
index f14ba3a..f663ecb 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -103,7 +103,7 @@ which may contain
 and
 .Ql []
 wildcards as in
-.Xr sh 1 .
+.Xr glob 7 .
 The format of the pattern is as follows:
 .Bd -ragged -offset indent
 .Ar nick Ns Oo Ar !user@host
@@ -224,7 +224,7 @@ which may contain
 and
 .Ql []
 wildcards as in
-.Xr sh 1 .
+.Xr glob 7 .
 The format of the pattern is as follows:
 .Bd -ragged -offset indent
 .Ar nick Ns Oo Ar !user@host
-- 
2.30.0


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: [PATCH] manual: Refer to glob(7) not sh(1)
From: June Bug <june@causal.agency>
In-Reply-To: <20210123103259.81053-1-klemens@posteo.de>
Date: Sat, 23 Jan 2021 12:19:03 -0500
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: quoted-printable
Message-Id: <ECC7DCFB-8B00-4C17-B538-FAE98CE0FEFA@causal.agency>
References: <20210123103259.81053-1-klemens@posteo.de>
To: Klemens Nanni <klemens@posteo.de>

> On Jan 23, 2021, at 05:32, Klemens Nanni <klemens@posteo.de> wrote:
>=20
> Those patterns are not specific to the shell, many commands support =
them.

Annoyingly glob(7) doesn=E2=80=99t exist on FreeBSD (or macOS), and the
syntax seems to only be documented in the =E2=80=9CShell Patterns=E2=80=9D=
 section
of sh(1).

From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: [PATCH] manual: Refer to glob(7) not sh(1)
From: June Bug <june@causal.agency>
In-Reply-To: <20210123103259.81053-1-klemens@posteo.de>
Date: Sat, 13 Mar 2021 13:31:18 -0500
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: 7bit
Message-Id: <7E05FE01-F04B-4456-930E-E74CB4313197@causal.agency>
References: <20210123103259.81053-1-klemens@posteo.de>
To: Klemens Nanni <klemens@posteo.de>

Actually I am applying this, I just remembered it. I think the lack
of glob(7) should be considered a documentation bug in FreeBSD,
honestly, even Linux has one!


From mboxrd@z Thu Jan  1 00:00:00 1970
Date: Sat, 13 Mar 2021 19:57:41 +0100
From: Klemens Nanni <klemens@posteo.de>
To: June Bug <june@causal.agency>
Cc: list+catgirl@causal.agency
Subject: Re: [PATCH] manual: Refer to glob(7) not sh(1)
Message-ID: <YE0LJVp9Arf0xeRA@eru>
References: <20210123103259.81053-1-klemens@posteo.de>
 <7E05FE01-F04B-4456-930E-E74CB4313197@causal.agency>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <7E05FE01-F04B-4456-930E-E74CB4313197@causal.agency>

On Sat, Mar 13, 2021 at 01:31:18PM -0500, June Bug wrote:
> Actually I am applying this, I just remembered it. I think the lack
> of glob(7) should be considered a documentation bug in FreeBSD,
> honestly, even Linux has one!
That's the spirit!

